To compile on SCO 5.0.5 if you have Xfree86 installed as well as the original
SCO X, and you want xwpe to use the Xfree libs:

   ./configure --x-libraries=/usr/X11R6/lib --x-includes=/usr/X11R6/include
   make LD_RUN_PATH=/usr/X11R6/lib

If you have Xfree86 and SCO X installed and you want xwpe to use the SCO
libs:

   ./configure --x-libraries=/usr/lib --x-includes=/usr/include/X11
   make

If you don't have Xfree86 installed at all:

   ./configure
   make

To just install the pre-compiled binaries:
   make install

After that you may delete the xwpe source (this) directory.

configure incorrectly finds the Xfree libs  and the sco includes by default,
and then tries to compile using libraries for which sco has no headers. On
top of that, even if you remove the libs from the makefile that sco doesn't
have, the resulting binary gets linked against the Xfree libs, but then loads
the sco libs at run-time, and ends up running very unstabily. (unless you
set LD_LIBRARY_PATH to the Xfree libs before running that copy of xwpe)

the top command produces a binary that is linked against the Xfree libs,
and at run-time, looks for libs in the Xfree directory first, so it loads
the correct libs without you having to set LD_LIBRARY_PATH at run-time.

This probably applies to cc as well as gcc, but I only have gcc and have only
ever used gcc myself.

-----

This copy incorporates these small modifications.

re-added checks for the existance of target directories in the "install:"
target of the Makefile that were removed in 1.5.21a-pre0.
this was causing make to fail without copying the files to their destinations.

added "strip xwpe" to the install target before the copy.

-----
Build environment for the binary distribution:
SCO Open Server 5.0.5 with the following:
  SCO 5.0.5 Linker and Application Developement Libraries
  rs505a oss497c oss600a oss499a oss471c OSRCompat-7.1.1
  gnu binutils-2.8.1
  gcc-2.95.2

Binary distribution compiled with gcc -O3
and linking to the SCO X libaries.

For myself I've been using gcc -O6 -mpentiumpro -mcpu=pentiumpro
and linking to the Xfree86 libs with no problems.



11/18/99
Brian K. White - linut@squonk.net


notes:
~~~~~~
The curses (text) interface doesn't work for me, ymmv.

the X version works great, except for some menu entries/options/features
- signal 11 & coredump if you select "Topic Search" from the help menu
- to get the function index to find some of the system man pages, symlink
  /usr/local/man/man* --> /usr/local/man/man.*  (IE: remove the dot)
  xwpe still won't be able to read the main man-pages though as they are not
  really man pages, but html served by a special server.

